Kubernetes
action Statefulset

# create_statefulset

Create a statefulset

Run it now
View details

Type | action
Module | chaosk8s.statefulset.actions
Name | create_statefulset
Return | None

Usage

JSON

    {
      "name": "create-statefulset",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosk8s.statefulset.actions",
        "func": "create_statefulset",
        "arguments": {
          "spec_path": ""
        }
      }
    }

YAML

    name: create-statefulset
    provider:
      arguments:
        spec_path: ""
      func: create_statefulset
      module: chaosk8s.statefulset.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
ns | string | ”default” | No | Namespace |
spec_path | string |  | Yes | Specification | Local path to a Statefulset JSON/YAML manifest

Creates a statefulset described by the service config, which must be the path to the JSON or YAML representation of the statefulset.

Signature

    def create_statefulset(spec_path: str,
                           ns: str = 'default',
                           secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Kubernetes
  action Statefulset

  ## `remove_statefulset`

  Remove a statefulset
- Kubernetes
  action Statefulset

  ## `scale_statefulset`

  Scale a statefulset up or down
- Kubernetes
  action Service

  ## `delete_service`

  Remove a service